com.maxmind.db

## Class Metadata

- java.lang.Object
- - com.maxmind.db.Metadata

-     public final class Metadata
      extends Object

  Metadata for MaxMind database files. Contains information about database format, version, build epoch, type, languages, and various structural information about the database.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Metadata(Map metadata)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBinaryFormatMajorVersion()`
    `int` | `getBinaryFormatMinorVersion()`
    `Date` | `getBuildDate()`
    `String` | `getDatabaseType()`
    `Map<String,String>` | `getDescription()`
    `int` | `getIpVersion()`
    `List<String>` | `getLanguages()`
    `(package private) int` | `getNodeByteSize()`
    `(package private) int` | `getNodeCount()`
    `(package private) int` | `getRecordSize()`
    `(package private) int` | `getSearchTreeSize()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Metadata

          Metadata(Map metadata)

  - ### Method Detail

    - #### getBinaryFormatMajorVersion

          public int getBinaryFormatMajorVersion()

      Returns:
        the major version number for the database's binary format.

    - #### getBinaryFormatMinorVersion

          public int getBinaryFormatMinorVersion()

      Returns:
        the minor version number for the database's binary format.

    - #### getBuildDate

          public Date getBuildDate()

      Returns:
        the date of the database build.

    - #### getDatabaseType

          public String getDatabaseType()

      Returns:
        a string that indicates the structure of each data record associated with an IP address. The actual definition of these structures is left up to the database creator.

    - #### getDescription

          public Map<String,String> getDescription()

      Returns:
        map from language code to description in that language.

    - #### getIpVersion

          public int getIpVersion()

      Returns:
        whether the database contains IPv4 or IPv6 address data. The only possible values are 4 and 6.

    - #### getLanguages

          public List<String> getLanguages()

      Returns:
        list of languages supported by the database.

    - #### getNodeByteSize

          int getNodeByteSize()

      Returns:
        the nodeByteSize

    - #### getNodeCount

          int getNodeCount()

      Returns:
        the number of nodes in the search tree.

    - #### getRecordSize

          int getRecordSize()

      Returns:
        the number of bits in a record in the search tree. Note that each node consists of two records.

    - #### getSearchTreeSize

          int getSearchTreeSize()

      Returns:
        the searchTreeSize

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`